﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections;
using System.Collections.ObjectModel;
using System.Windows.Data;
using System.Windows.Browser;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            DataContext = new MyDataContext();
        }
    }

    public class MyDataContext
    {
        IEnumerable<MyObject> _Data;
        public IEnumerable<MyObject> Data
        {
            get 
            {
                if (_Data == null)
                {
                   _Data = from i in Enumerable.Range(0, 10)
                           select new MyObject() { ID = i, UnitPrice = i * 1.5 };
                }

                return _Data;
            }
        }

        public string Test
        {
            get { return "Test";  }
        }
    }

    public class MyObject
    {
        public int ID { get; set; }
        public double UnitPrice { get; set; }
    }
}
